
/******************************************************************************/                                  
/******************************************************************************/

/* LCD  panel SPI interface define */
sbit	SPI_RES = P3^6;	 //reset
sbit	SPI_DI = P1^5;	//data input		 
sbit	SPI_CLK = P1^7;   //clock
sbit	SPI_CS = P3^4;  //chip select

//RGB+9b_SPI(rise)
 void SPI_SendData(unsigned char i)
{  
   unsigned char n;
   
   for(n=0; n<8; n++)			
   {       
			SPI_CLK=0;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_DI=i&0x80;
			_nop_(); _nop_();_nop_();_nop_();
			SPI_CLK=1;
			i<<=1;
			_nop_(); _nop_();_nop_();_nop_();
	  
   }
}
void SPI_WriteComm(unsigned char i)
{
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=0 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
}



void SPI_WriteData(unsigned char i)
{ 
    SPI_CS=0;
	  	_nop_(); _nop_();_nop_();_nop_();
    SPI_DI=1 ;
	  	_nop_(); _nop_();_nop_();_nop_(); 
	SPI_CLK=0;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_CLK=1;
		_nop_(); _nop_();_nop_();_nop_();
	SPI_SendData(i);
		
    SPI_CS=1;
} 




void GC9503_Initial(void)
{

	SPI_RES=1;
	delay_ms(10);
	SPI_RES=0;
	delay_ms(10);
	SPI_RES=1;
	delay_ms(200);  

	
 
	SPI_WriteComm(0xF0);SPI_WriteData(0x55);SPI_WriteData(0xAA);SPI_WriteData(0x52);SPI_WriteData(0x08);SPI_WriteData(0x00);
	SPI_WriteComm(0xF6);SPI_WriteData(0x5A);SPI_WriteData(0x87);
	SPI_WriteComm(0xC1);SPI_WriteData(0x3F);
	SPI_WriteComm(0xCD);SPI_WriteData(0x25);
	SPI_WriteComm(0xC9);SPI_WriteData(0x10);
	SPI_WriteComm(0xF8);SPI_WriteData(0x8A);
	SPI_WriteComm(0xAC);SPI_WriteData(0x45);
	SPI_WriteComm(0xA7);SPI_WriteData(0x47);
	SPI_WriteComm(0xA0);SPI_WriteData(0xCC);
	SPI_WriteComm(0x86);SPI_WriteData(0x99);SPI_WriteData(0xA3);SPI_WriteData(0xA3);SPI_WriteData(0x31);
	SPI_WriteComm(0xFA);SPI_WriteData(0x08);SPI_WriteData(0x08);SPI_WriteData(0x00);SPI_WriteData(0x04);
	SPI_WriteComm(0xA3);SPI_WriteData(0x6E);
	SPI_WriteComm(0xFD);SPI_WriteData(0x28);SPI_WriteData(0x3C);SPI_WriteData(0x00);
	SPI_WriteComm(0x9A);SPI_WriteData(0x4a);
	SPI_WriteComm(0x9B);SPI_WriteData(0x22);
	SPI_WriteComm(0x82);SPI_WriteData(0x00);SPI_WriteData(0x00);
	SPI_WriteComm(0x80);SPI_WriteData(0x54);

  
	SPI_WriteComm(0xB0);SPI_WriteData(0x00);SPI_WriteData(0x25); SPI_WriteData(0x20);SPI_WriteData(0x15);SPI_WriteData(0x10); 
 	SPI_WriteComm(0xB1);SPI_WriteData(0x32); 
 	SPI_WriteComm(0x3A);SPI_WriteData(0x60);

	SPI_WriteComm(0x7A);SPI_WriteData(0x0F);SPI_WriteData(0x13);
	SPI_WriteComm(0x7B);SPI_WriteData(0x0F);SPI_WriteData(0x13);
	SPI_WriteComm(0x6D);SPI_WriteData(0x0c);SPI_WriteData(0x03);SPI_WriteData(0x1e);SPI_WriteData(0x02);SPI_WriteData(0x08);SPI_WriteData(0x1a);SPI_WriteData(0x19);SPI_WriteData(0x03);SPI_WriteData(0x0d);SPI_WriteData(0x0e);SPI_WriteData(0x0f);SPI_WriteData(0x10);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x1E);SPI_WriteData(0x11);SPI_WriteData(0x12);SPI_WriteData(0x13);SPI_WriteData(0x14);SPI_WriteData(0x03);SPI_WriteData(0x19);SPI_WriteData(0x1a);SPI_WriteData(0x07);SPI_WriteData(0x01);SPI_WriteData(0x1E);SPI_WriteData(0x03);SPI_WriteData(0x0c);
	SPI_WriteComm(0x64);SPI_WriteData(0x38);SPI_WriteData(0x04);SPI_WriteData(0x03);SPI_WriteData(0xc4);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x38);SPI_WriteData(0x02);SPI_WriteData(0x03);SPI_WriteData(0xc6);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2C);SPI_WriteData(0x7A);SPI_WriteData(0x2C);SPI_WriteData(0x7A);
	SPI_WriteComm(0x65);SPI_WriteData(0x38);SPI_WriteData(0x08);SPI_WriteData(0x03);SPI_WriteData(0xc0);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x38);SPI_WriteData(0x06);SPI_WriteData(0x03);SPI_WriteData(0xc2);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2C);SPI_WriteData(0x7A);SPI_WriteData(0x2C);SPI_WriteData(0x7A);
	SPI_WriteComm(0x66);SPI_WriteData(0x83);SPI_WriteData(0xd0);SPI_WriteData(0x03);SPI_WriteData(0xc4);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x83);SPI_WriteData(0xd0);SPI_WriteData(0x03);SPI_WriteData(0xc4);SPI_WriteData(0x03);SPI_WriteData(0x03);SPI_WriteData(0x2C);SPI_WriteData(0x7A);SPI_WriteData(0x2C);SPI_WriteData(0x7A);
	SPI_WriteComm(0x60);SPI_WriteData(0x38);SPI_WriteData(0x0c);SPI_WriteData(0x3c);SPI_WriteData(0x3c);SPI_WriteData(0x38);SPI_WriteData(0x0b);SPI_WriteData(0x3c);SPI_WriteData(0x3c);
	SPI_WriteComm(0x61);SPI_WriteData(0xb3);SPI_WriteData(0xc4);SPI_WriteData(0x3c);SPI_WriteData(0x3c);SPI_WriteData(0xb3);SPI_WriteData(0xc4);SPI_WriteData(0x3c);SPI_WriteData(0x3c);
	SPI_WriteComm(0x62);SPI_WriteData(0xb3);SPI_WriteData(0xc4);SPI_WriteData(0x3c);SPI_WriteData(0x3c);SPI_WriteData(0xb3);SPI_WriteData(0xc4);SPI_WriteData(0x3c);SPI_WriteData(0x3c);
	SPI_WriteComm(0x63);SPI_WriteData(0x38);SPI_WriteData(0x0a);SPI_WriteData(0x3c);SPI_WriteData(0x3c);SPI_WriteData(0x38);SPI_WriteData(0x09);SPI_WriteData(0x3c);SPI_WriteData(0x3c);
	SPI_WriteComm(0x68);SPI_WriteData(0x77);SPI_WriteData(0x08);SPI_WriteData(0x0a);SPI_WriteData(0x08);SPI_WriteData(0x09);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x18);SPI_WriteData(0x0a);SPI_WriteData(0x08);SPI_WriteData(0x09);SPI_WriteData(0x00);SPI_WriteData(0x00);
	SPI_WriteComm(0x69);SPI_WriteData(0x14);SPI_WriteData(0x22);SPI_WriteData(0x14);SPI_WriteData(0x22);SPI_WriteData(0x44);SPI_WriteData(0x22);SPI_WriteData(0x08);
	SPI_WriteComm(0x6B);SPI_WriteData(0x07);
	SPI_WriteComm(0xD1);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD2);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD3);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD4);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD5);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
	SPI_WriteComm(0xD6);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x00);SPI_WriteData(0x10);SPI_WriteData(0x00);SPI_WriteData(0x22);SPI_WriteData(0x00);SPI_WriteData(0x2c);SPI_WriteData(0x00);SPI_WriteData(0x2e);SPI_WriteData(0x00);SPI_WriteData(0x56);SPI_WriteData(0x00);SPI_WriteData(0x58);SPI_WriteData(0x00);SPI_WriteData(0x7c);SPI_WriteData(0x00);SPI_WriteData(0x9a);SPI_WriteData(0x00);SPI_WriteData(0xce);SPI_WriteData(0x00);SPI_WriteData(0xfa);SPI_WriteData(0x01);SPI_WriteData(0x4c);SPI_WriteData(0x01);SPI_WriteData(0x94);SPI_WriteData(0x01);SPI_WriteData(0x96);SPI_WriteData(0x01);SPI_WriteData(0xda);SPI_WriteData(0x02);SPI_WriteData(0x32);SPI_WriteData(0x02);SPI_WriteData(0x76);SPI_WriteData(0x02);SPI_WriteData(0xcc);SPI_WriteData(0x03);SPI_WriteData(0x18);SPI_WriteData(0x03);SPI_WriteData(0x55);SPI_WriteData(0x03);SPI_WriteData(0x6b);SPI_WriteData(0x03);SPI_WriteData(0x9b);SPI_WriteData(0x03);SPI_WriteData(0xac);SPI_WriteData(0x03);SPI_WriteData(0xb8);SPI_WriteData(0x03);SPI_WriteData(0xe0);SPI_WriteData(0x03);SPI_WriteData(0xFF);
 
   	

												  
 /*
	 
  SPI_WriteComm(0xF0); 
  SPI_WriteData(0x55);
  SPI_WriteData(0xAA); 
  SPI_WriteData(0x52); 
  SPI_WriteData(0x08); 
  SPI_WriteData(0x00); 
  SPI_WriteComm(0xF6); 
  SPI_WriteData(0x5A); 
  SPI_WriteData(0x87); 
  SPI_WriteComm(0xC1); 
  SPI_WriteData(0x3F); 
  SPI_WriteComm(0xCD); 
  SPI_WriteData(0x25); 
  SPI_WriteComm(0xC9);
  SPI_WriteData(0x10); 
  SPI_WriteComm(0xF8);
  SPI_WriteData(0x8A); 
  SPI_WriteComm(0xAC); 
  SPI_WriteData(0x45);
  SPI_WriteComm(0xA7);
  SPI_WriteData(0x47); 
  SPI_WriteComm(0xA0); 
  SPI_WriteData(0xDD); 
  //SPI_WriteComm(0xA9); 
  //SPI_WriteData(0xAD); 
  SPI_WriteComm(0x86); 
  SPI_WriteData(0x99); 
  SPI_WriteData(0xA3); 
  SPI_WriteData(0xA3); 
  SPI_WriteData(0x01); 
  SPI_WriteComm(0xFA); 
  SPI_WriteData(0x08); 
  SPI_WriteData(0x08); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x04); 
  SPI_WriteComm(0xA3); 
  SPI_WriteData(0x6E); 
  SPI_WriteComm(0xFD);

  SPI_WriteData(0x28); 
  SPI_WriteData(0x3c); 
  SPI_WriteData(0x00); 
  SPI_WriteComm(0x9A); 
  SPI_WriteData(0x98); 
  SPI_WriteComm(0x9B); 
  SPI_WriteData(0x70); 
  SPI_WriteComm(0x82); 
  SPI_WriteData(0x4e); 
  SPI_WriteData(0x4e); 
  SPI_WriteComm(0xB1); 
  SPI_WriteData(0x33); 
  SPI_WriteComm(0x3A); 
  SPI_WriteData(0x60); // 55--16bit 
  SPI_WriteComm(0xB0); 
  SPI_WriteData(0x00); // 00 
  SPI_WriteData(0x19); 
  SPI_WriteData(0x06); 
  SPI_WriteData(0x14); 
  SPI_WriteData(0x14); 
  SPI_WriteComm(0x7A); 
  SPI_WriteData(0x13); 
  SPI_WriteData(0x1A); 
  SPI_WriteComm(0x7B); 
  SPI_WriteData(0x13); 
  SPI_WriteData(0x1A); 
  SPI_WriteComm(0x6D); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x09); 
  SPI_WriteData(0x0F); 
  SPI_WriteData(0x0B); 
  SPI_WriteData(0x0D); 
  SPI_WriteData(0x05); 
  SPI_WriteData(0x07); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x1E); 
  SPI_WriteData(0x08); 
  SPI_WriteData(0x06);


 SPI_WriteData(0x0E); 
 SPI_WriteData(0x0C); 
 SPI_WriteData(0x10); 
 SPI_WriteData(0x0A); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x04); 
 SPI_WriteData(0x1E); 
 SPI_WriteData(0x1E); 
 SPI_WriteData(0x1E); 
 SPI_WriteComm(0x64); 
 SPI_WriteData(0x28); 
 SPI_WriteData(0x05); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x23); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x28); 
 SPI_WriteData(0x04); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x24); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x2D); 
 SPI_WriteData(0x6D); 
 SPI_WriteData(0x2D); 
 SPI_WriteData(0x6D); 
 SPI_WriteComm(0x65); 
 SPI_WriteData(0x28); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x27); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x20); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x28); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x2D); 
 SPI_WriteData(0x6D); 
 SPI_WriteData(0x2D); 
 SPI_WriteData(0x6D); 
 SPI_WriteComm(0x66); 
 SPI_WriteData(0x20); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x29); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x20); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x2a); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x03);

  SPI_WriteData(0x2D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x2D); 
  SPI_WriteData(0x6D); 
  SPI_WriteComm(0x67); 
  SPI_WriteData(0x28); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x25); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x28); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x26); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x2D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x2D); 
  SPI_WriteData(0x6D); 
  SPI_WriteComm(0x60); 
  SPI_WriteData(0x38); 
  SPI_WriteData(0x09); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x38); 
  SPI_WriteData(0x08); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteComm(0x61); 
  SPI_WriteData(0x38); 
  SPI_WriteData(0x07); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x38); 
  SPI_WriteData(0x06); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteComm(0x62);
  SPI_WriteData(0x33); 
  SPI_WriteData(0x1B); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x33); 
  SPI_WriteData(0x1C); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteComm(0x63); 
  SPI_WriteData(0x33); 
  SPI_WriteData(0x1D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x6D); 
  SPI_WriteData(0x33);


 SPI_WriteData(0x1E); 
 SPI_WriteData(0x6D); 
 SPI_WriteData(0x6D); 
 SPI_WriteComm(0x69); 
 SPI_WriteData(0x14); 
 SPI_WriteData(0x22); 
 SPI_WriteData(0x14); 
 SPI_WriteData(0x22); 
 SPI_WriteData(0x44); 
 SPI_WriteData(0x22); 
 SPI_WriteData(0x08); 
 SPI_WriteComm(0x6B); 
 SPI_WriteData(0x07); 
 //SPI_WriteComm(0x94); 
 //SPI_WriteData(0x86); 
 SPI_WriteComm(0xD1); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x05); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x13); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x21); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x2f); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x48); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x5f); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x87); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0xab); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0xe9); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x1f); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x7d); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0xcf); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0xd3); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x23); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x7a); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0xb0); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0xf6); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x25); 
 SPI_WriteData(0x03);

  SPI_WriteData(0xC0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC5); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCA); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCC); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xD0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xE1); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xFF); 
  SPI_WriteComm(0xD2); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x05); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x13); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x21); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x2f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x48); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x5f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x87); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xab); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xe9); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x1f); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x7d); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xcf); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xd3); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x23); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x7a); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xb0); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xf6); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x25); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC5); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCA);

 SPI_WriteData(0x03); 
 SPI_WriteData(0xCC); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xD0); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xE1); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xFF); 
 SPI_WriteComm(0xD3); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x05); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x13); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x21); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x2f); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x48); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x5f); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0x87); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0xab); 
 SPI_WriteData(0x00); 
 SPI_WriteData(0xe9); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x1f); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0x7d); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0xcf); 
 SPI_WriteData(0x01); 
 SPI_WriteData(0xd3); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x23); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0x7a); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0xb0); 
 SPI_WriteData(0x02); 
 SPI_WriteData(0xf6); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0x25); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xC0); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xC5); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xCA); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xCC); 
 SPI_WriteData(0x03); 
 SPI_WriteData(0xD0); 
 SPI_WriteData(0x03);

  SPI_WriteData(0xE1); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xFF); 
  SPI_WriteComm(0xD4); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x05); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x13); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x21); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x2f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x48); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x5f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x87); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xab); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xe9); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x1f); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x7d); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xcf); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xd3); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x23); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x7a); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xb0); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xf6); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x25); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC5); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCA); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCC); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xD0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xE1); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xFF); 
  SPI_WriteComm(0xD5);

  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x05); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x13); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x21); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x2f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x48); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x5f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x87); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xab); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xe9); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x1f); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x7d); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xcf); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xd3); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x23); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x7a); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xb0); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xf6); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x25); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC5); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCA); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCC); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xD0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xE1); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xFF); 
  SPI_WriteComm(0xD6); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x05); 
  SPI_WriteData(0x00);
  SPI_WriteData(0x13); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x21); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x2f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x48); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x5f); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0x87); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xab); 
  SPI_WriteData(0x00); 
  SPI_WriteData(0xe9); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x1f); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0x7d); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xcf); 
  SPI_WriteData(0x01); 
  SPI_WriteData(0xd3); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x23); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0x7a); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xb0); 
  SPI_WriteData(0x02); 
  SPI_WriteData(0xf6); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0x25); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xC5); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCA); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xCC); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xD0); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xE1); 
  SPI_WriteData(0x03); 
  SPI_WriteData(0xFF);	  */

	SPI_WriteComm(0x11);
	delay_ms(120);
	SPI_WriteComm(0x29);
	delay_ms(20);



}


